Perform various operations for Symitar parameters.
Operations
getMoProductSelectFields
POST
Execute the persistent ParameterService getMoProductSelectFields operation.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
Loading fields…
Path Parameters
symstringrequired- Sym number
Responses
MessageIdstringoptionalLoading fields…
POST
/nexum/{sym}/persistent/parameter/getMoProductSelectFieldsPOST /nexum/627/persistent/parameter/getMoProductSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"DeviceInformation": {
"DeviceType": "string",
"DeviceNumber": 0
},
"SelectableFields": {
"IncludeAllMoProductFields": true,
"MoProductFields": {
"CreateCheckRecord": true,
"NumberofProducts": true,
"ProductDescription": [
0
]
}
},
"nxAttributes": {
"customFields": {}
}
}updateMoProductByID
POST
Execute the persistent ParameterService updateMoProductByID operation.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
Loading fields…
Path Parameters
symstringrequired- Sym number
Responses
MessageIdstringoptionalLoading fields…
POST
/nexum/{sym}/persistent/parameter/updateMoProductByIDPOST /nexum/627/persistent/parameter/updateMoProductByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"DeviceInformation": {
"DeviceType": "string",
"DeviceNumber": 0
},
"MoProductFields": {
"CreateCheckRecord": true,
"NumberofProducts": 0,
"ProductDescription": [
{
"EntryId": 0,
"ProductDescription": "string"
}
]
},
"nxAttributes": {
"customFields": {}
}
}